Subject: OMNI Interface - the OMNI link

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 18 Feb 2020 17:17:21 +0000

Like any IPv6 interface, the OMNI interface is a node's attachment to a link; namely, the
OMNI link. The ONMI link is a virtual Non-Broadcast, Multiple Access (NBMA) overlay
configured over one or more underlying Internetworks (e.g., an aviation network, an
enterprise network, the global public Internet, etc.). Like any NBMA link, the OMNI
interface is expected to implement IPv6 Neighbor Discovery (ND) per RFC4861, with
the added requirement for performing unicast/multicast adaptations given the non
broadcast nature of the underlying media.  The OMNI link model has close parallels
to RFC4291 and RFC2492; in many ways, OMNI could be considered as a continuation
of those earlier efforts. Please bring any discussion points regarding the OMNI link
model under this thread.

Fred

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Templin (US), Fred L
> Sent: Tuesday, February 18, 2020 8:07 AM
> To: [email-masked]; [email-masked]
> Subject: FW: I-D Action: draft-templin-6man-omni-interface-00.txt
> 
> 6man and atn list members,
> 
> We have received direction to rename the OMNI interface draft to more closely match the
> document title and to indicate the target working group. This submission therefore replaces
> the former draft name thread, and should be used as the basis for further discussion.
> 
> The OMNI interface spec introduces many important constructs that would be very difficult
> to track in a single discussion thread. I will initiate multiple sub-threads to invite discussion
> on specific aspects of the document in subsequent messages.
> 
> Thanks - Fred
> 
> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Tuesday, February 18, 2020 7:35 AM
> To: [email-masked]
> Subject: I-D Action: draft-templin-6man-omni-interface-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Transmission of IPv6 Packets over Overlay Multilink Network (OMNI) Interfaces
>         Authors         : Fred L. Templin
>                           Tony Whyman
> 	Filename        : draft-templin-6man-omni-interface-00.txt
> 	Pages           : 36
> 	Date            : 2020-02-18
> 
> Abstract:
>    Mobile nodes (e.g., aircraft of various configurations, terrestrial
>    vehicles, seagoing vessels, mobile enterprise devices, etc.)
>    communicate with networked correspondents over multiple access
>    network data links and configure mobile routers to connect end user
>    networks.  A multilink interface specification is therefore needed
>    for coordination with the network-based mobility service.  This
>    document specifies the transmission of IPv6 packets over Overlay
>    Multilink Network (OMNI) Interfaces.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-templin-6man-omni-interface/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-templin-6man-omni-interface-00
> https://datatracker.ietf.org/doc/html/draft-templin-6man-omni-interface-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------